| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD

## Class RefType

    java.lang.Object
      |
      +--Type
            |
            +--RefType

Direct Known Subclasses:
  Void

public class RefType
extends Type

Field Summary
`private de.dhbwstuttgart.typeinference.Menge` | `parameter`

Fields inherited from class Type
`hamaDebug, type, used`

Constructor Summary
`RefType()`
`RefType(RefType R)`
`RefType(java.lang.String s)`
`RefType(java.lang.String s, de.dhbwstuttgart.typeinference.Menge parameter)`

Method Summary
`void` | `add_Parameter(java.lang.Object o)`
`de.dhbwstuttgart.typeinference.Menge` | `get_ParaList()`
`java.lang.String` | `get_Type()`
`java.lang.String` | `getParaN(int n)`
`java.lang.String` | `getTypeName()`
`boolean` | `isTV(int n)`
`void` | `set_ParaList(de.dhbwstuttgart.typeinference.Menge v)`

Methods inherited from class Type
`get_codegen_Type, get_Name, get_UsedId, set_Type, set_UsedId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parameter

    private de.dhbwstuttgart.typeinference.Menge parameter

Constructor Detail

### RefType

    public RefType()

### RefType

    public RefType(java.lang.String s)

### RefType

    public RefType(java.lang.String s,
                   de.dhbwstuttgart.typeinference.Menge parameter)

### RefType

    public RefType(RefType R)

Method Detail

### get_Type

    public java.lang.String get_Type()

  Overrides:
    `get_Type` in class `Type`

### set_ParaList

    public void set_ParaList(de.dhbwstuttgart.typeinference.Menge v)

### get_ParaList

    public de.dhbwstuttgart.typeinference.Menge get_ParaList()

### add_Parameter

    public void add_Parameter(java.lang.Object o)

### getTypeName

    public java.lang.String getTypeName()

### getParaN

    public java.lang.String getParaN(int n)
                              throws SCException

    `SCException`

### isTV

    public boolean isTV(int n)

| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD